
QT += qt3support xml
LANGUAGE = C++
DEPENDPATH += src
INCLUDEPATH += . src
CONFIG += qt warn_on release uic3

unix {
	TEMPLATE = app
}

win32 {
	#for mingw
	TEMPLATE = app
	
	#for visual studio
	#TEMPLATE = vcapp
}

mac {
	TEMPLATE = app
}


HEADERS += \
	src/tx_util.h \
	src/prefdialog.h \
	src/tx.h \
	src/xmltable.h \
	src/xmltableitem.h \
	src/xmltablestyle.h \
	src/abouttxdialog.h \
	src/helpbrowser.h
SOURCES += \
	src/tx_util.cpp \
	src/main.cpp \
	src/prefdialog.cpp \
	src/tx.cpp \
	src/xmltable.cpp \
	src/xmltableitem.cpp \
	src/xmltablestyle.cpp \
	src/abouttxdialog.cpp \
	src/helpbrowser.cpp
FORMS3 += \
	ui/messagelist.ui \
	ui/externaleditor.ui \
	ui/general.ui
FORMS += \
	ui/helpbrowser.ui \
	ui/about_tx.ui

DESTDIR = bin
UI_DIR = tmp
MOC_DIR = tmp
OBJECTS_DIR = tmp

RESOURCES += tx.qrc
